Bug 139394 - Traceback in depSolver.py
Summary: Traceback in depSolver.py
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-15 19:48 UTC by Jakub Kocourek
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 16:26:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
typescript session (5.94 KB, text/plain)
2004-11-19 17:27 UTC, Tim Waugh
no flags Details

Description Jakub Kocourek 2004-11-15 19:48:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
up2date stop at 100% in this step: "Downloading headers to solve
dependencies":
.
.
.
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-demo-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-javadoc-apis-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-javadoc-dom3-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-javadoc-impl-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-javadoc-other-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-javadoc-xni-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xerces-j2-scripts-0-2.6.2-2jpp_5fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-0-1.0-0.b2.6jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-apis-0-1.0-0.b2.6jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-apis-javadoc-0-1.0-0.b2.6jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-apis-manual-0-1.0-0.b2.6jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-resolver-0-1.1-1jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-resolver-javadoc-0-1.1-1jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-which-0-1.0-0.b2.6jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xml-commons-which-javadoc-0-1.0-0.b2.6jpp_4fc.noarch.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xojpanel-0-0.91-10.i386.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xpdf-debuginfo-1-3.00-12.i386.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/xscreensaver-debuginfo-1-4.18-10.i386.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/yelp-debuginfo-0-2.6.4-1.i386.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/zip-debuginfo-0-2.3-26.3.i386.hdr
gh1000
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386//headers/zlib-debuginfo-0-1.2.2.1-1.i386.hdr
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1753, in
onPackagePageNext
    ret = self.__packagePageDryRun()
  File "/usr/share/rhn/up2date_client/gui.py", line 1681, in
__packagePageDryRun
    self.__refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 325, in
__dependencies
    if self.obsoletes.has_key(pkg[0]):
IndexError: string index out of range


Version-Release number of selected component (if applicable):
up2date-4.3.52-3

How reproducible:
Always

Steps to Reproduce:
1.Start up2date
2.Select some packages
3.Try to download them
    

Actual Results:  Can not update anything

Expected Results:  Download and install update

Additional info:

Comment 1 Tim Waugh 2004-11-19 17:20:21 UTC
I see the same thing.  Here, it is sufficient to run 'up2date db4' with this
sources file:

dir rawhide /mnt/rawhide/Fedora/RPMS/

db4-4.2.52-6 is installed, and db4-4.3.21-1 and compat-db-4.2.52-2 are available.

Comment 2 Tim Waugh 2004-11-19 17:27:25 UTC
Created attachment 107068 [details]
typescript session

Comment 3 Tim Waugh 2004-11-19 17:28:56 UTC
See the typescript I've attached, with 'debug=1' set in
/etc/sysconfig/up2date/up2date.  Looks like it's expecting another level of
lists than it's getting.

Comment 4 Jakub Kocourek 2004-12-22 07:30:35 UTC
This error is now in kde-base too. I can not update kde. Up2date freze
with:
IndexError: string index out of range

Comment 5 Jakub Kocourek 2005-01-11 20:49:41 UTC
It looks it was fixed in development version 4.3.69-1.
I'm leaving bug open. Please close it when 4.3.69-1 will be in update
directory not development.

Comment 6 John Thacker 2006-10-29 20:25:35 UTC
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Comment 7 John Thacker 2006-11-05 16:26:42 UTC
Closing per previous message.


Note You need to log in before you can comment on or make changes to this bug.